Support » Plugin: AWeber for WordPress » Still Insecure. Please Fix

  • Resolved David Tierney

    (@big-dave)


    Mixed Content Error via Chrome Dev tools Console. This is AFTER I just updated to your new version which in your dev notes says you fixed it. I did clear cache.

    Mixed Content: The page at ‘https://lionhrt.com/’ was loaded over HTTPS, but requested an insecure script ‘http://forms.aweber.com/form/71/329707571.js’. This request has been blocked; the content must be served over HTTPS.
    (anonymous) @ (index):367
    (anonymous) @ (index):368

    Followed link to 367:

    <div id=”aweberwebformpluginwidgetoptions” class=”et_pb_widget AWeberWebformPlugin_printWidget”><h4 class=”widgettitle”></h4><div class=”AW-Form-329707571″></div>
    <script type=”text/javascript”>(function(d,s,id) {
    var js;
    var fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return; js = d.createElement(s);
    js.id = id; js.src = “http://forms.aweber.com/form/71/329707571.js&#8221;;
    fjs.parentNode.insertBefore(js, fjs);
    }(document, “script”, “aweber-wjs-1064705850”));
    </script></div> <!– end .et_pb_widget –>

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • Thread Starter David Tierney

    (@big-dave)

    FYI – I realized that the widget I was using had somehow lost connection to the list and web form. Once I selected those, the code was properly displayed. So there still seems to be a place in the code which is not properly displaying as HTTPS when that happens.

    Otherwise thanks for updating.

    David,

    The old form was likely cached until you reconnected and the updated plugin retrieved the proper encrypted version of the form.

    -Tom

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Still Insecure. Please Fix’ is closed to new replies.